<template>
  <ob-countdown
      :class="{
        '-light-raspberry-red': (suitPeriodOfTime && (isDownGrade || isBlind)) || (suitPeriodOfTime && isFirstApprove && isAuctionInProccess)
      }"
      :duration="durationOfTime"
  />
</template>

<script>
import ObCountdown from 'common-components/src/obComponents/obCountdown'

export default {
  name: 'draftLifetime',
  components: { ObCountdown },
  props: {
    item: {
      type: Object,
      default: () => {}
    }
  },
  computed: {
    lifeTime () {
      return Math.round((Date.parse(this.item.endPlanDt) - Date.now()) / 1000)
    },
    isAuctionInProccess () {
       return this.item.auctionStatus === 'IN_PROCCESS'
    },
    durationOfTime () {
      return this.isAuctionInProccess ? this.lifeTime : null
    },
    suitPeriodOfTime () {
      return this.lifeTime >= 0 && this.lifeTime <= 3600
    },
    isDownGrade() {
      return this.item.auctionType === 'DOWNGRADE'
    },
    isBlind() {
      return this.item.auctionType === 'BLIND'
    },
    isFirstApprove() {
      return this.item.auctionType === 'FIRST_APPROVE'
    }
  }
}
</script>
